Skip to content

getJournalEntry

READ

Get journal entry.

POST /api/v1/accounting/getJournalEntry
curl -X POST '<your-host>/api/v1/accounting/getJournalEntry' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "accountingPeriodId": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "description": "string",
  "documentDate": "string",
  "documentId": "string",
  "eliminationKind": "IC Balance",
  "id": "string",
  "journalEntryId": "string",
  "postedAt": "string",
  "postedBy": "string",
  "postingDate": "string",
  "postingKind": "post",
  "reversalOfId": "string",
  "reversedById": "string",
  "sourceType": "Payment",
  "status": "Draft",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string",
  "journalLine": [
    {
      "accountId": "string",
      "accrual": true,
      "amount": 0,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "description": "string",
      "documentId": "string",
      "documentLineReference": "string",
      "documentType": "Payment",
      "externalDocumentId": "string",
      "id": "string",
      "intercompanyPartnerId": "string",
      "journalId": "string",
      "journalLineReference": "string",
      "quantity": 0,
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string",
      "account": {
        "class": "Expense"
      }
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}